%define sdo_version 0.11.0
%define workspace_version 4.11.13
%define rel 1

%define major_kgetcore 4


Name:           kget
Summary:        Versatile and user-friendly download manager
Group:          Graphical desktop/KDE5
Version: 		16.04.2
Release:        %mkrel %{rel}
URL:            http://www.kde.org/applications/internet/kget/
License:        GPLv2 LGPLv2 GFDL
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
#---------------------------------------------
BuildRequires:  kde4-macros
BuildRequires:  %{_lib}mms-devel
BuildRequires:  %{_lib}boost-devel
#---------------------------------------------

%description
KGet is a versatile and user-friendly download manager.
Features:
  - Downloading files from FTP and HTTP(S) sources.
  - Pausing and resuming of downloading files, as well as the ability to restart
    a download.
  - Tells lots of information about current and pending downloads.
  - Embedding into system tray.
  - Integration with the Konqueror web browser.
  - Metalink support which contains multiple URLs for downloads, along with
    checksums and other information.

%files
%_kde_bindir/kget
%_kde_libdir/kde4/krunner_kget.so
%_kde_libdir/kde4/kget_*
%_kde_libdir/kde4/plasma_engine_kget.so
%_kde_libdir/kde4/kcm_kget_checksumsearchfactory.so
%_kde_libdir/kde4/kcm_kget_metalinkfactory.so
%_kde_libdir/kde4/kcm_kget_mmsfactory.so
%_kde_libdir/kde4/kcm_kget_mirrorsearchfactory.so
%_kde_libdir/kde4/kcm_kget_multisegkiofactory.so
%_kde_libdir/kde4/plasma_kget_barapplet.so
%_kde_libdir/kde4/plasma_kget_piechart.so
%_kde_appsdir/kget
%_kde_appsdir/dolphinpart/kpartplugins/kget_plug_in.rc
%_kde_appsdir/dolphinpart/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kconf_update/kget.upd
%_kde_appsdir/kconf_update/kget_limitdownloads.pl
%_kde_appsdir/kconf_update/kget_sensitive.pl
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.rc
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kwebkitpart/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kwebkitpart/kpartplugins/kget_plug_in.rc
%_kde_applicationsdir/kget.desktop
%_kde_services/kgetbarapplet-default.desktop
%_kde_services/kgetpiechartapplet-default.desktop
%_kde_services/plasma-runner-kget.desktop
%_kde_services/plasma-engine-kget.desktop
%_kde_services/ServiceMenus/kget_download.desktop
%_kde_services/kget_*
%_kde_iconsdir/*/*/apps/kget.*
%_kde_datadir/kde4/servicetypes/kget_*
%_kde_datadir/config.kcfg/kget*
%_datadir/dbus-1/services/org.kde.kget.service
#------------------------------------------------------------------------------
%_kde_libdir/libkgetcore.so.%{major_kgetcore}*
#------------------------------------------------------------------------------

%package -n kget-handbook
Summary: Kget Handbook
BuildArch: noarch
Group: Documentation
Requires:  kget >= %{version}-%{release}

%description -n kget-handbook
This package provides KGET handbook.

%files -n kget-handbook
%doc %{_kde_docdir}/HTML/en/kget


#------------------------------------------------------------------------------

#%package devel
#Summary:        Devel stuff for %{name}
#Group:          Development/Libraries
#Requires:       kget = %{version}

#%description  devel
#This package contains header files needed if you wish to build applications
#based on %{name}.

#%files devel
#%_kde_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build

%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kget.desktop

#lets not build devel package ok
rm -rf %buildroot/%_kde_libdir/*.so


%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update

